# OF61 - List offer conditions

DescriptionSorted by sort index, set in the back-office
Call FrequencyRecommended usage: Once per dayMaximum usage: 300 per dayLocalizationThis resource supports locale parameter (see documentation)Localized output fields will be highlighted with an icon:

Endpoint: GET /api/offers/states
Security: Shop-API-Key

## Security:

  - `Shop-API-Key` (unknown)
    apiKey in header Authorization scopes: ROLE_SHOP_ADMIN, ROLE_PARTNER_OFFER_SETTINGS_READ

## Query parameters:

  - `shop_id` (integer)
    Use this parameter when your user has access to several shops. If not specified, the shop_id from your default shop will be used.

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `offer_states` (array, required)
    Offer conditions

  - `offer_states.code` (string, required)
    Offer condition code

  - `offer_states.label` (string, required)
    Offer condition label

  - `total_count` (integer, required)
    Total count (no pagination)

## Response 200 examples:

  - `Example with business values (application/json)` (unknown)

  - `Complete example with value types (application/json)` (unknown)

